DevExtreme jQuery/JS - Resize and Relocate

To change the size of the Tooltip, specify the height and width options. Note that the Tooltip's arrow takes its share of the overall size.

JavaScript
HTML
  • $(function() {
  • $("#tooltipContainer").dxTooltip({
  • target: "#image",
  • showEvent: 'dxhoverstart',
  • hideEvent: 'dxhoverend',
  • height: 70,
  • width: 200,
  • contentTemplate: function (contentElement) {
  • contentElement.append(
  • $("<p />").text("Tooltip content")
  • )
  • }
  • });
  • });
  • <img id="image" src="https://www.devexpress.com/DXR.axd?r=9999_17-FD0Id" />
  • <div id="tooltipContainer"></div>

If you need to position the Tooltip against a certain side of the target element, set the position option.

JavaScript
HTML
  • $(function() {
  • $("#tooltipContainer").dxTooltip({
  • target: "#image",
  • showEvent: 'dxhoverstart',
  • hideEvent: 'dxhoverend',
  • position: "top", // or "bottom" | "left" | "right"
  • contentTemplate: function (contentElement) {
  • contentElement.append(
  • $("<p />").text("Tooltip content")
  • )
  • }
  • });
  • });
  • <img id="image" src="https://www.devexpress.com/DXR.axd?r=9999_17-FD0Id" />
  • <div id="tooltipContainer"></div>
See Also

DevExtreme Angular - Resize and Relocate

To change the size of the Tooltip, specify the height and width options. Note that the Tooltip's arrow takes its share of the overall size.

HTML
TypeScript
  • <img id="image" src="https://www.devexpress.com/DXR.axd?r=9999_17-FD0Id" />
  • <dx-tooltip
  • target="#image"
  • showEvent="dxhoverstart"
  • hideEvent="dxhoverend"
  • [height]="70"
  • [width]="200">
  • <div *dxTemplate="let data of 'content'">
  • <p>Tooltip content</p>
  • </div>
  • </dx-tooltip>
  • import { DxTooltipModule } from 'devextreme-angular';
  • // ...
  • export class AppComponent {
  • // ...
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxTooltipModule
  • ],
  • // ...
  • })

If you need to position the Tooltip against a certain side of the target element, set the position option.

HTML
TypeScript
  • <img id="image" src="https://www.devexpress.com/DXR.axd?r=9999_17-FD0Id" />
  • <dx-tooltip
  • target="#image"
  • showEvent="dxhoverstart"
  • hideEvent="dxhoverend"
  • position="top"> <!-- or "bottom" | "left" | "right" -->
  • <div *dxTemplate="let data of 'content'">
  • <p>Tooltip content</p>
  • </div>
  • </dx-tooltip>
  • import { DxTooltipModule } from 'devextreme-angular';
  • // ...
  • export class AppComponent {
  • // ...
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxTooltipModule
  • ],
  • // ...
  • })
See Also